---
title: 'Reason: CORS header ''Access-Control-Allow-Origin'' does not match ''xyz'''
slug: Web/HTTP/CORS/Errors/CORSAllowOriginNotMatchingOrigin
tags:
  - CORS
  - CORSAllowOriginNotMatchingOrigin
  - Cross-Origin
  - Error
  - HTTP
  - HTTPS
  - Messages
  - Reasons
  - Security
  - console
  - troubleshooting
---
<div>{{HTTPSidebar}}</div>

<h2 id="Reason">Reason</h2>

<pre class="syntaxbox">Reason: CORS header 'Access-Control-Allow-Origin' does not match 'xyz'</pre>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>In other words, the origin making the request does not match any of the origins permitted by the  {{HTTPHeader("Access-Control-Allow-Origin")}} header.</p>

<p>This error can also occur if the response includes more than one <code>Access-Control-Allow-Origin</code> header.</p>

<p>If the service your code is accessing using a CORS request is under your control, make sure that it's configured to include your origin in its <code>Access-Control-Allow-Origin</code> header, and that only one such header is included in responses. The header itself accepts a comma-delineated list of origins, so adding a new origin is not difficult.</p>

<p>For example, in Apache, add a line such as the following to the server's configuration (within the appropriate <code>&lt;Directory&gt;</code>, <code>&lt;Location&gt;</code>, <code>&lt;Files&gt;</code>, or <code>&lt;VirtualHost&gt;</code> section). The configuration is typically found in a <code>.conf</code> file (<code>httpd.conf</code> and <code>apache.conf</code> are common names for these), or in an <code>.htaccess</code> file.</p>

<pre>Header set Access-Control-Allow-Origin '<em>origin-list</em>'</pre>

<p>For Nginx, the command to set up this header is:</p>

<pre>add_header 'Access-Control-Allow-Origin' '<em>origin-list</em>'</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/CORS/Errors">CORS errors</a></li>
 <li>Glossary: {{Glossary("CORS")}}</li>
 <li><a href="/en-US/docs/Web/HTTP/CORS">CORS introduction</a></li>
 <li><a href="https://enable-cors.org/server.html">Enable CORS: I want to add CORS support to my server</a></li>
</ul>
